/*
 * This Java source file was generated by the Gradle 'init' task.
 */
package vector;

public class Vector{

  private double x;
  private double y;
  private double x1;
  private double y1;
  private double xDiff;
  private double yDiff;

  public Vector(double x, double y, double x1, double y1){
    this.x = x;
    this.y = y;
    this.x1 = x1;
    this.y1 = y1;
  }

  public void setX(double x) {
    this.x = x;
  }

  public double getX() {
    return this.x;
  }

  public void setY(double y) {
    this.y = y;
  }

  public double getY() {
    return this.y;
  }

  public void setX1(double x1) {
    this.x1 = x1;
  }

  public double getX1() {
    return this.x1;
  }

  public void setY1(double y1) {
    this.y1 = y1;
  }

  public double getY1() {
    return this.y1;
  }

  public double getXDiff() { //x2
    return this.x1 - this.x;
  }

  public double getYDiff() { //y2
    return this.y1 - this.y;
  }


  public String toString(){
    return "Начало вектора (" + this.x + ";" + this.y + ")" + "\n" +
           "Конец вектора (" + this.x1 + ";" + this.y1 + ")";
  }
//делаю методы, чтобы уменшить код, тк есть почти одинаковые строки
  public void sum(Vector vector){
    y1 = y1 + vector.getYDiff();
    x1 = x1 + vector.getXDiff();
  }

  public void minus(Vector vector){
    y1 = y1 - vector.getYDiff();
    x1 = x1 - vector.getXDiff();
  }

  public void multiplication(double scalar){
    y1 = y1 * scalar;
    x1 = x1 * scalar;
  }

  public void division(double scalar){
    y1 = y1 / scalar;
    x1 = x1 / scalar;
  }

public Vector sum(Vector vector1, Vector vector2){
  Vector vector_new = new Vector(vector1.getXDiff(), vector1.getYDiff());
  vector_new.sum(vector2);
  return vector_new;
}

public Vector minus(Vector vector1, Vector vector2){
  Vector vector_new = new Vector(vector1.getXDiff(), vector1.getYDiff());
  vector_new.minus(vector2);
  return vector_new;
}

public Vector division(Vector vector1, Vector vector2){
  Vector vector_new = new Vector(vector1.getXDiff(), vector1.getYDiff());
  vector_new.division(vector2);
  return vector_new;
}

public Vector multiplication(Vector vector1, Vector vector2){
  Vector vector_new = new Vector(vector1.getXDiff(), vector1.getYDiff());
  vector_new.multiplication(vector2);
  return vector_new;
}

}
